[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ForeignAnchorSideChanged

Requests further processing after an anchor side has changed, that anchors another control to this one.

## Declaration

Source position: controls.pp line 1362

`protected procedure TControl.ForeignAnchorSideChanged(`
`TheAnchorSide: TAnchorSide;`
`Operation: TAnchorSideChangeOperation`
`); virtual;`

## Arguments

`TheAnchorSide` |  | Anchor side with the control added, removed, or moved in the notification.
`Operation` |  | Operation for the notification.